[arch-commits] Commit in texlive-pstricks/repos (testing-any testing-any/PKGBUILD)

Rémy Oudompheng remy at archlinux.org
Thu Apr 2 06:55:10 UTC 2020


    Date: Thursday, April 2, 2020 @ 06:55:09
  Author: remy
Revision: 379118

archrelease: copy trunk to testing-any

Added:
  texlive-pstricks/repos/testing-any/
  texlive-pstricks/repos/testing-any/PKGBUILD
    (from rev 379117, texlive-pstricks/trunk/PKGBUILD)

----------+
 PKGBUILD |   46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

Copied: texlive-pstricks/repos/testing-any/PKGBUILD (from rev 379117, texlive-pstricks/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2020-04-02 06:55:09 UTC (rev 379118)
@@ -0,0 +1,46 @@
+# Maintainer: Firmicus <firmicus āt gmx dōt net>
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-pstricks
+pkgver=2020.54518
+_revnr=${pkgver#2020.}
+pkgrel=1
+pkgdesc="TeX Live - Additional PSTricks packages"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+groups=('texlive-most')
+url='http://tug.org/texlive/'
+source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip")
+options=('!emptydirs')
+sha256sums=('3d9007e672d4319903403dec998f5d413e511a74c368a72b629e8b2005ea3f26')
+
+build() {
+   for p in *.tar.xz; do
+	   bsdtar -xf $p
+   done
+   rm -rf {tlpkg,doc,source} || true
+}
+package() {
+   install -m755 -d "$pkgdir"/var/lib/texmf/arch/installedpkgs
+   sed -i '/^#/d' CONTENTS
+   install -m644 CONTENTS "$pkgdir"/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+   install -m755 -d "$pkgdir"/usr/share
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 "$pkgdir"/usr/share/texmf-dist/'{}' \;
+     find $dir -type f -exec install -m644 '{}' "$pkgdir"/usr/share/texmf-dist/'{}' \;
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 "$pkgdir"/usr/share/'{}' \;
+     find texmf-dist -type f -exec install -m644 '{}' "$pkgdir"/usr/share/'{}' \;
+   fi
+   if [[ -d "$pkgdir"/usr/share/texmf-dist/scripts ]]; then
+     find "$pkgdir"/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
+   rm "$pkgdir"/usr/share/texmf-dist/scripts/pst-pdf/ps4pdf.bat*
+   install -m755 -d "$pkgdir"/usr/bin
+   ln -s /usr/share/texmf-dist/scripts/pedigree-perl/pedigree.pl "$pkgdir"/usr/bin/pedigree
+   ln -s /usr/share/texmf-dist/scripts/pst2pdf/pst2pdf.pl "$pkgdir"/usr/bin/pst2pdf
+   ln -s /usr/share/texmf-dist/scripts/pst-pdf/ps4pdf "$pkgdir"/usr/bin/ps4pdf
+}


More information about the arch-commits mailing list